org.apache.ignite.internal.processors.cache

## Class GridCacheAdapter.UpdatePutTimeStatClosure<T>

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.GridCacheAdapter.UpdateTimeStatClosure
  - - org.apache.ignite.internal.processors.cache.GridCacheAdapter.UpdatePutTimeStatClosure<T>

All Implemented Interfaces:
  Serializable, CI1, IgniteInClosure

Enclosing class:
  GridCacheAdapter<K,V>

    protected static class GridCacheAdapter.UpdatePutTimeStatClosure<T>
    extends GridCacheAdapter.UpdateTimeStatClosure

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.cache.GridCacheAdapter.UpdateTimeStatClosure

`metrics, start`

### Constructor Summary

Constructors
Constructor and Description
`GridCacheAdapter.UpdatePutTimeStatClosure(CacheMetricsImpl metrics, long start)`

### Method Summary

Methods
`protected void` `updateTimeStat()` Updates statistics.

### Methods inherited from class org.apache.ignite.internal.processors.cache.GridCacheAdapter.UpdateTimeStatClosure

`apply`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GridCacheAdapter.UpdatePutTimeStatClosure

    public GridCacheAdapter.UpdatePutTimeStatClosure(CacheMetricsImpl metrics,
                                             long start)

Parameters:
  `metrics` - Metrics.
  `start` - Start time.

### Method Detail

#### updateTimeStat

    protected void updateTimeStat()

Updates statistics.

Specified by:
  `updateTimeStat` in class `GridCacheAdapter.UpdateTimeStatClosure`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.9.0
Release Date | : March 2 2017